include "types.cf"
include "OracleTypes.cf"
include "OracleASMTypes.cf"

cluster vcs (
)

system vcssun23 (
)

system vcssun24 (
)

group ORA_ASM_GRP (
	SystemList = { vcssun23 = 0, vcssun24 = 1 }
	)

	ASMDG ASMDG_dg_asm (
		Sid = "+ASM"
		Owner = oracle
		Home = "/oracle/oraHome"
		DiskGroups = { asmvxdg }
		)

	ASMInst ASMInst_inst (
		Sid = "+ASM"
		Owner = oracle
		Home = "/oracle/oraHome"
		Pfile = "/oracle/oraHome/dbs/init+ASM.ora"
		)

	DiskGroup DG_oradg (
		DiskGroup = oracledg
		)

	IP IP_oraip (
		Device = hme0
		Address = "10.180.89.229"
		NetMask = "255.255.240.0"
		)

	NIC NIC_nic (
		Device = hme0
		)

	Netlsnr LSNR_listener (
		Owner = oracle
		Home = "/oracle/oraHome"
		TnsAdmin = "/oracle/oraHome/network/admin"
		Listener = LISTENER
		EnvFile = "/oracle/oraHome/envfile"
		MonScript = "./bin/Netlsnr/LsnrTest.pl"
		LsnrPwd = lsnr
		AgentDebug = 1
		)

	Oracle ORA_oracle (
		Sid = orclR2
		Owner = oracle
		Home = "/oracle/oraHome"
		Pfile = "/oracle/oraHome/dbs/initorclR2.ora"
		MonScript = "./bin/Oracle/SqlTest.pl"
		EnvFile = "/oracle/oraHome/envfile"
		AgentDebug = 1
		)

	Volume VOL_oravol (
		Volume = oraData
		DiskGroup = oracledg
		)

	ASMInst_inst requires VOL_oravol
	ASMDG_dg_asm requires ASMInst_inst
	IP_oraip requires NIC_nic
	LSNR_listener requires IP_oraip
	ORA_oracle requires ASMDG_dg_asm
	LSNR_listener requires ORA_oracle
	VOL_oravol requires DG_oradg
